const navMenu = document.querySelector(".header-dropdown");
const navBurger = document.querySelector(".header-burger");
const navBurgerClose = document.querySelector(".header-dropdown-close");

navBurger.addEventListener("click", () => {
  navMenu.classList.toggle("opened");
});

navBurgerClose.addEventListener("click", () => {
  navMenu.classList.remove("opened");
});

// Scroll
document.addEventListener("DOMContentLoaded", function () {
  // Smooth scrolling when clicking on navbar links
  var navbarLinks = document.querySelectorAll(".header-dropdown-content ul a");
  navbarLinks.forEach(function (link) {
    link.addEventListener("click", function (event) {
      var hash = this.hash;
      navMenu.classList.remove("opened");

      event.preventDefault();

      document.querySelector(hash).scrollIntoView({
        behavior: "smooth",
      });
    });
  });

  // Add active class to navbar element based on the section in view
  window.addEventListener("scroll", function () {
    var scrollPosition = window.scrollY;

    document.querySelectorAll(".content").forEach(function (section) {
      var top = section.offsetTop - 50; // Adjusted for better accuracy
      var bottom = top + section.offsetHeight;

      if (scrollPosition >= top && scrollPosition < bottom) {
        var targetId = section.getAttribute("id");
        navbarLinks.forEach(function (link) {
          link.classList.remove("active");
        });

        document.querySelector(`.header-dropdown-content ul a[href="#${targetId}"]`).classList.add("active");
      }
    });
  });
});
